VERSION 5.00
Begin VB.UserControl tTab 
   ClientHeight    =   3600
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   4800
   ScaleHeight     =   3600
   ScaleWidth      =   4800
   Begin VB.Timer Timer1 
      Interval        =   100
      Left            =   240
      Top             =   0
   End
   Begin DiamockRibbonToolbar2010.tEnebled tEnebled 
      Height          =   360
      Left            =   0
      TabIndex        =   2
      Top             =   0
      Width           =   975
      _ExtentX        =   1720
      _ExtentY        =   635
   End
   Begin DiamockRibbonToolbar2010.tHot tHot 
      Height          =   360
      Left            =   0
      TabIndex        =   1
      Top             =   0
      Visible         =   0   'False
      Width           =   975
      _ExtentX        =   1720
      _ExtentY        =   635
   End
   Begin DiamockRibbonToolbar2010.tStandard tStandard 
      Height          =   360
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Visible         =   0   'False
      Width           =   975
      _ExtentX        =   1720
      _ExtentY        =   635
   End
End
Attribute VB_Name = "tTab"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

'  MouseLeave
Private Declare Function GetWindowRect Lib "user32" (ByVal hwnd As Long, lpRect As RECT) As Long
Private Declare Function GetCursorPos Lib "user32" (lpPoint As POINTAPI) As Long
Private Type RECT
        Left As Long
        Top As Long
        Right As Long
        Bottom As Long
End Type
Private Type POINTAPI
        X As Long
        Y As Long
End Type

'##############################################################################
















'##############################################################################
' Tab
Public Enum TabSkin
    tsStandard = &H0
    tsHot = &H1
    tsEnebled = &H2
End Enum
'##############################################################################
'Default Property Values:
Const m_def_Skin = 0
'Property Variables:
Dim m_Skin As Long
'Event Declarations:
Event Click() 'MappingInfo=tHot,tHot,-1,Click
Attribute Click.VB_Description = "Occurs when the user presses and then releases a mouse button over an object."


Private Sub TabResize()
'  UserContol
Width = tStandard.Width
Height = tStandard.Height
'##############################################################################
End Sub

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=tStandard,tStandard,-1,Caption
Public Property Get Caption() As String
    Caption = tStandard.Caption
    TabResize
End Property

Public Property Let Caption(ByVal New_Caption As String)
    tStandard.Caption() = New_Caption
    tHot.Caption() = New_Caption
    tEnebled.Caption() = New_Caption
    TabResize
    PropertyChanged "Caption"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=8,0,0,0
Public Property Get Skin() As Long
    Skin = m_Skin
End Property

Public Property Let Skin(ByVal New_Skin As TabSkin)
' Skin:   Tab
    m_Skin = New_Skin
    PropertyChanged "Skin"
    Select Case m_Skin
        Case 0      ' 
            tStandard.Visible = True
            tHot.Visible = False
            tEnebled.Visible = False
        Case 1      '   
            tStandard.Visible = False
            tHot.Visible = True
            tEnebled.Visible = False
        Case 2      '  
            tStandard.Visible = False
            tHot.Visible = False
            tEnebled.Visible = True
    End Select
End Property

Private Sub tEnebled_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Not Timer1.Enabled Then
        Timer1.Enabled = True
        tEnebled.Visible = False
        tStandard.Visible = False
        tHot.Visible = True
    End If
End Sub

Private Sub tHot_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
            tStandard.Visible = True
            tHot.Visible = False
            tEnebled.Visible = False
Timer1.Enabled = False

End Sub

Private Sub Timer1_Timer()
    Dim rc As RECT, pt As POINTAPI
    GetWindowRect tEnebled.hwnd, rc
    GetCursorPos pt
    If pt.X < rc.Left Or pt.X > rc.Right Or pt.Y < rc.Top Or pt.Y > rc.Bottom Then
        Timer1.Enabled = False
        tEnebled.Visible = True
        tStandard.Visible = False
        tHot.Visible = False
    End If
End Sub

Private Sub UserControl_Initialize()
tStandard.Visible = True
tHot.Visible = False
tEnebled.Visible = False

End Sub

'Initialize Properties for User Control
Private Sub UserControl_InitProperties()
    m_Skin = m_def_Skin
End Sub

'Load property values from storage
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)

    tStandard.Caption = PropBag.ReadProperty("Caption", "Caption")
    tHot.Caption = PropBag.ReadProperty("Caption", "Caption")
    tEnebled.Caption = PropBag.ReadProperty("Caption", "Caption")
   
    m_Skin = PropBag.ReadProperty("Skin", m_def_Skin)
End Sub

Private Sub UserControl_Resize()
TabResize
End Sub

'Write property values to storage
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)

    Call PropBag.WriteProperty("Caption", tStandard.Caption, "Caption")
    Call PropBag.WriteProperty("Skin", m_Skin, m_def_Skin)
End Sub

Private Sub tHot_Click()
    RaiseEvent Click
End Sub

