VERSION 5.00
Begin VB.UserControl tHot 
   ClientHeight    =   3600
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   4800
   ScaleHeight     =   3600
   ScaleWidth      =   4800
   Begin VB.Label lblCaption 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Caption"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   204
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   555
   End
   Begin VB.Image imTL 
      Height          =   360
      Left            =   0
      Picture         =   "tHot.ctx":0000
      Top             =   0
      Width           =   60
   End
   Begin VB.Image imTC 
      Height          =   360
      Left            =   240
      Picture         =   "tHot.ctx":0162
      Top             =   0
      Width           =   75
   End
   Begin VB.Image imTR 
      Height          =   360
      Left            =   480
      Picture         =   "tHot.ctx":0324
      Top             =   0
      Width           =   60
   End
End
Attribute VB_Name = "tHot"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Event Declarations:
Event Click() 'MappingInfo=imTC,imTC,-1,Click
Attribute Click.VB_Description = "Occurs when the user presses and then releases a mouse button over an object."
Event MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single) 'MappingInfo=imTC,imTC,-1,MouseDown
Attribute MouseDown.VB_Description = "Occurs when the user presses the mouse button while an object has the focus."
Event MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single) 'MappingInfo=imTC,imTC,-1,MouseUp
Attribute MouseUp.VB_Description = "Occurs when the user releases the mouse button while an object has the focus."



Private Sub TabResize()
Width = lblCaption.Width + 420
lblCaption.Top = 85
lblCaption.Left = 210
Height = imTL.Height
'#############################
'Left Side
imTL.Top = 0
imTL.Left = 0
'Right Side
imTR.Top = 0
imTR.Left = Width - imTR.Width
'Center
imTC.Stretch = True
imTC.Top = 0
imTC.Left = imTL.Width
imTC.Width = Width - (imTL.Width + imTR.Width)
'#################################################
End Sub

Private Sub UserControl_Initialize()
lblCaption.ForeColor = &HFFFFDE
End Sub

Private Sub UserControl_Resize()
TabResize
End Sub
'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=lblCaption,lblCaption,-1,Caption
Public Property Get Caption() As String
    Caption = lblCaption.Caption
    TabResize
End Property

Public Property Let Caption(ByVal New_Caption As String)
    lblCaption.Caption() = New_Caption
    TabResize
    PropertyChanged "Caption"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,hWnd
Public Property Get hwnd() As Long
    hwnd = UserControl.hwnd
End Property

'Load property values from storage
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)

    lblCaption.Caption = PropBag.ReadProperty("Caption", "Caption")
End Sub

'Write property values to storage
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)

    Call PropBag.WriteProperty("Caption", lblCaption.Caption, "Caption")
End Sub


Private Sub imTC_Click()
    RaiseEvent Click
End Sub

Private Sub imTC_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    RaiseEvent MouseDown(Button, Shift, X, Y)
End Sub

Private Sub imTC_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    RaiseEvent MouseUp(Button, Shift, X, Y)
End Sub

